Bug 354571 - live install fails when there's a pre-existing install
live install fails when there's a pre-existing install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-26 13:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-28 14:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-26 13:46:01 EDT
Description of problem:

/dev/sda1 was my prior '/boot'. anaconda autopartitioned it to be a new /boot.

At some point in doing so, nautilus mounted it. Ergo, mke2fs failed, and
anaconda pops up:

 'An error occured trying to format sda1. This problem is serious, and the
install cannot continue. Press <Enter> to exit the installer.'

Version-Release number of selected component (if applicable):

rawhide-Developer-20071025
Comment 1 David Zeuthen 2007-10-26 13:54:15 EDT
Does it work if you lock hal manually using hal-lock(1)? lshal --monitor should
also show when someone takes the lock...
Comment 2 Bill Nottingham 2007-10-26 14:04:29 EDT
anaconda's using the wrong path to see if haldaemon is running. Fixed in CVS...
Comment 3 Jeremy Katz 2007-10-28 14:30:17 EDT
Fix confirmed by doing an install with rawhide-20071028 x86_64 live image with
preexisting install on the disk

Note You need to log in before you can comment on or make changes to this bug.